<?php
// creer l'url
if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on'){
    $link = "https://".$_SERVER['HTTP_HOST'].preg_replace("/\?.*$/","",$_SERVER["REQUEST_URI"]);
} else {
    $link = "http://".$_SERVER['HTTP_HOST'].preg_replace("/\?.*$/","",$_SERVER["REQUEST_URI"]);
}
define("URL",$link);

setlocale (LC_TIME, 'fr_FR.utf8','fra');

define("CONTENTS",CHEMIN."contents/");
define("CONFIG",CONTENTS."config/");
define("IMPORTS",CONTENTS."imports/");
define("IMPORTS_URL","contents/imports/");
define("CACHE",CONTENTS."cache/");
define("CACHE_VIGNETTES", CACHE."vignettes/");
define("CACHE_VIGNETTES_URL", "contents/cache/vignettes/");
define("TEMP", CACHE."temp/");
define("TEMP_URL", "contents/cache/temp/");

// taille maximum des imports d'image
define("FILE_MAXSIZE", 15700000); // 15 mégas 

// starter: charger les fichiers nécessaire
include(APP."code/Spyc.php");
include(APP."code/yaml_readwriter.php");
include(APP."code/main_functions.php");
include(APP."code/image_functions.php");
include(APP."code/cache_functions.php");

// session
session_save_path(CONTENTS.'sessions');
ini_set('session.gc_probability', 1);
if(session_status() === PHP_SESSION_NONE) session_start();
if(isset($_SESSION['id'])){
    define("STATUS","admin"); 
} else {
    define("STATUS","visitor"); 
}

// charger le fichier de settings général
$site=new yamlReadwriter();
$site->loadYaml(getTemplate("settings_website.yaml"));
define("VIGNETTE_W", $site->get('vignette_width'));
define("VIGNETTE_H", $site->get('vignette_height'));
define("VIGNETTE_C", $site->bool('vignette_crop'));
define("FULLSIZE_W", $site->get('fw_width'));
define("FULLSIZE_H", $site->get('fw_height'));
define("FULLSIZE_INFOS", $site->get('fw_info'));

// Charger les modules éventuels
define("MODULES",chargerModules()); 
